// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 角色详情 GET /apis/admin/role/details */
export async function getRoleDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getRoleDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.RoleVO>('/apis/admin/role/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /apis/admin/role/list */
export async function postRoleListApi(options?: { [key: string]: any }) {
  return request<SectApi.RoleVO[]>('/apis/admin/role/list', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 分页查询角色 POST /apis/admin/role/page */
export async function postRolePageApi(
  body: SectApi.RolePageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageRoleVO>('/apis/admin/role/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除角色 DELETE /apis/admin/role/remove */
export async function deleteRoleRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteRoleRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/role/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存角色 POST /apis/admin/role/save */
export async function postRoleSaveApi(
  body: SectApi.RoleSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/role/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
