// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 管理员详情 GET /apis/admin/staff/details */
export async function getStaffDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getStaffDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.StaffVO>('/apis/admin/staff/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 登录 POST /apis/admin/staff/login */
export async function postStaffLoginApi(
  body: SectApi.StaffLoginQuery,
  options?: { [key: string]: any },
) {
  return request<string>('/apis/admin/staff/login', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 当前登录管理员信息 GET /apis/admin/staff/me */
export async function getStaffMeApi(options?: { [key: string]: any }) {
  return request<SectApi.StaffVO>('/apis/admin/staff/me', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 分页查询管理员 POST /apis/admin/staff/page */
export async function postStaffPageApi(
  body: SectApi.StaffPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageStaffVO>('/apis/admin/staff/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除管理员 DELETE /apis/admin/staff/remove */
export async function deleteStaffRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteStaffRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/staff/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存管理员 POST /apis/admin/staff/save */
export async function postStaffSaveApi(
  body: SectApi.StaffSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/staff/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
