declare namespace SectApi {
  type ClientsLoginQuery = {
    clientType?: string;
    loginType?: string;
    /** 手机号 */
    mobile: string;
    /** 验证码 */
    code: string;
  };

  type ClientsTokenVO = {
    /** token */
    token?: string;
    user?: UserVO;
  };

  type Config = {
    createTime?: string;
    updateTime?: string;
    id?: number;
    type?: string;
    code?: string;
    remark?: string;
    content?: string;
    permission?: number;
  };

  type ConfigPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    asc?: boolean;
    desc?: boolean;
  };

  type ConfigVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    id?: number;
    type?: string;
    code?: string;
    remark?: string;
    content?: string;
    permission?: number;
  };

  type deleteFactionLevelRemoveApiParams = {
    id: number;
  };

  type deleteMenuRemoveApiParams = {
    id: number;
  };

  type deletePeakLevelRemoveApiParams = {
    id: number;
  };

  type deletePeakRemoveApiParams = {
    id: number;
  };

  type deleteRoleRemoveApiParams = {
    id: number;
  };

  type deleteStaffRemoveApiParams = {
    id: number;
  };

  type deleteUserLevelRemoveApiParams = {
    id: number;
  };

  type deleteUserRemoveApiParams = {
    id: number;
  };

  type FactionLevelPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
    asc?: boolean;
    desc?: boolean;
  };

  type FactionLevelSaveQuery = {
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
  };

  type FactionLevelVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
  };

  type getConfigGetApiParams = {
    code: string;
  };

  type getFactionLevelDetailsApiParams = {
    id: number;
  };

  type getFactionLevelDetailsApiParams = {
    id: number;
  };

  type getMenuDetailsApiParams = {
    id: number;
  };

  type getPeakDetailsApiParams = {
    id: number;
  };

  type getPeakDetailsApiParams = {
    id: number;
  };

  type getPeakLevelDetailsApiParams = {
    id: number;
  };

  type getPeakLevelDetailsApiParams = {
    id: number;
  };

  type getRoleDetailsApiParams = {
    id: number;
  };

  type getStaffDetailsApiParams = {
    id: number;
  };

  type getUserDetailsApiParams = {
    id: number;
  };

  type getUserDetailsApiParams = {
    id: number;
  };

  type getUserLevelDetailsApiParams = {
    id: number;
  };

  type getUserLevelDetailsApiParams = {
    id: number;
  };

  type getUserSignIsSignApiParams = {
    day?: number;
  };

  type IPageConfigVO = {
    size?: number;
    records?: ConfigVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPageFactionLevelVO = {
    size?: number;
    records?: FactionLevelVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPagePeakLevelVO = {
    size?: number;
    records?: PeakLevelVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPagePeakVO = {
    size?: number;
    records?: PeakVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPageRoleVO = {
    size?: number;
    records?: RoleVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPageStaffVO = {
    size?: number;
    records?: StaffVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPageUserLevelVO = {
    size?: number;
    records?: UserLevelVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type IPageUserVO = {
    size?: number;
    records?: UserVO[];
    current?: number;
    total?: number;
    pages?: number;
  };

  type MenuSaveQuery = {
    /** 菜单ID */
    id?: number;
    /** 1:目录 2:菜单 3:按钮） */
    type?: 1 | 2 | 3;
    /** 名称 */
    name?: string;
    /** 父菜单ID */
    parentId?: number;
    /** 显示顺序 */
    sortNum?: number;
    /** 请求地址 */
    url?: string;
    /** 1:页签 2:新窗口 */
    target?: 1 | 2;
    /** 菜单状态（1正常 2隐藏） */
    status?: 1 | 2;
    /** 是否刷新 0:不刷新 1:刷新 */
    hasRefresh?: 0 | 1;
    /** 权限标识 */
    perms?: string;
    /** 菜单图标 */
    icon?: string;
  };

  type MenuTreeQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 关键字 */
    keyword?: string;
    /** 状态（1正常 2隐藏） */
    status?: 1 | 2;
    asc?: boolean;
    desc?: boolean;
  };

  type MenuVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 菜单ID */
    id?: number;
    /** 1:目录 2:菜单 3:按钮） */
    type?: 1 | 2 | 3;
    /** 名称 */
    name?: string;
    /** 父菜单ID */
    parentId?: number;
    /** 显示顺序 */
    sortNum?: number;
    /** 请求地址 */
    url?: string;
    /** 1:页签 2:新窗口 */
    target?: 1 | 2;
    /** 菜单状态（1正常 2隐藏） */
    status?: 1 | 2;
    /** 是否刷新 0:不刷新 1:刷新 */
    hasRefresh?: 0 | 1;
    /** 权限标识 */
    perms?: string;
    /** 菜单图标 */
    icon?: string;
    /** 子菜单列表 */
    children?: MenuVO[];
  };

  type PeakLevelPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
    asc?: boolean;
    desc?: boolean;
  };

  type PeakLevelSaveQuery = {
    /** 自增 ID */
    id?: number;
    /** 父节点 */
    parentId?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
    /** 经验值 */
    exp?: number;
    /** 子节点 */
    children?: PeakLevelVO[];
  };

  type PeakLevelVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 自增 ID */
    id?: number;
    /** 父节点 */
    parentId?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
    /** 经验值 */
    exp?: number;
    /** 子节点 */
    children?: PeakLevelVO[];
  };

  type PeakPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 名称 */
    name?: string;
    asc?: boolean;
    desc?: boolean;
  };

  type PeakSaveQuery = {
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
  };

  type PeakVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
  };

  type postConfigListPrefixApiParams = {
    prefix: string;
  };

  type postUserConfigListPrefixApiParams = {
    prefix: string;
  };

  type RolePageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    asc?: boolean;
    desc?: boolean;
  };

  type RoleSaveQuery = {
    /** 角色ID */
    id?: number;
    /** 角色名称 */
    name: string;
    /** 显示顺序 */
    sortNum?: number;
    /** 角色状态（1:正常 2:停用） */
    status?: 1 | 2;
    /** 菜单ID列表 */
    menuIds: number[];
  };

  type RoleVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 角色ID */
    id?: number;
    /** 角色名称 */
    name?: string;
    /** 显示顺序 */
    sortNum?: number;
    /** 角色状态（1:正常 2:停用） */
    status?: 1 | 2;
    /** 具备权限的菜单列表 */
    menus?: MenuVO[];
  };

  type StaffLoginQuery = {
    /** 用户名 */
    username: string;
    /** 密码 */
    password: string;
  };

  type StaffPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    asc?: boolean;
    desc?: boolean;
  };

  type StaffSaveQuery = {
    /** 管理员ID */
    id?: number;
    /** 用户名 */
    username: string;
    /** 密码 */
    password: string;
    /** 昵称 */
    nickname?: string;
    /** 头像缩略图 */
    thumbAvatar?: string;
    /** 级别 */
    level: 0 | 1 | 2;
    /** 角色 */
    roleIds: number[];
  };

  type StaffVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 管理员ID */
    id?: number;
    /** 用户名 */
    username?: string;
    /** 昵称 */
    nickname?: string;
    /** 头像缩略图 */
    thumbAvatar?: string;
    /** 级别 */
    level?: 0 | 1 | 2;
    /** 角色列表 */
    roles?: RoleVO[];
    /** 具备权限的菜单列表 */
    menus?: MenuVO[];
  };

  type UserConfig = {
    createTime?: string;
    updateTime?: string;
    id?: number;
    userId?: number;
    type?: string;
    code?: string;
    remark?: string;
    content?: string;
  };

  type UserLevelPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
    asc?: boolean;
    desc?: boolean;
  };

  type UserLevelSaveQuery = {
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
  };

  type UserLevelVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 自增 ID */
    id?: number;
    /** 名称 */
    name?: string;
    /** 等级 */
    level?: number;
  };

  type UserPageQuery = {
    cursor?: string;
    direction?: string;
    current?: number;
    size?: number;
    sorted?: string;
    sortColumn?: string;
    /** 所属峰 */
    peakId?: number;
    /** 用户名称 */
    name?: string;
    /** 头像 */
    avatar?: string;
    /** 手机号 */
    mobile?: string;
    /** 用户名 */
    nickname?: string;
    /** 会员等级 */
    userLevel?: number;
    /** 宗门等级 */
    factionLevel?: number;
    /** 紫币-最小值 */
    purpleCoinMin?: number;
    /** 紫币-最大值 */
    purpleCoinMax?: number;
    /** 紫晶-最小值 */
    purpleSparMin?: number;
    /** 紫晶-最大值 */
    purpleSparMax?: number;
    /** 状态 */
    status?: number;
    asc?: boolean;
    desc?: boolean;
  };

  type UserPwdEditQuery = {
    /** 旧密码，若未设置过则为空 */
    oldPwd?: string;
    /** 新密码 */
    newPwd?: string;
  };

  type UserSaveQuery = {
    /** 自增 ID */
    id?: number;
    /** 所属峰 */
    peakId?: number;
    /** 用户名称 */
    name?: string;
    /** 头像 */
    avatar?: string;
    /** 手机号 */
    mobile?: string;
    /** 用户名 */
    nickname?: string;
    /** 会员等级 */
    userLevel?: number;
    /** 宗门等级 */
    factionLevel?: number;
    /** 紫币 */
    purpleCoin?: number;
    /** 紫晶 */
    purpleSpar?: number;
    /** 状态 */
    status?: number;
  };

  type UserVO = {
    /** 创建时间 */
    createTime?: string;
    /** 更新时间 */
    updateTime?: string;
    /** 自增 ID */
    id?: number;
    /** 所属峰 */
    peakId?: number;
    /** 所属峰 */
    peakName?: string;
    /** 用户名称 */
    name?: string;
    /** 头像 */
    avatar?: string;
    /** 手机号 */
    mobile?: string;
    /** 昵称 */
    nickname?: string;
    /** 会员等级 */
    userLevel?: number;
    /** 会员等级名称 */
    userLevelName?: string;
    /** 宗门等级 */
    factionLevel?: number;
    /** 宗门等级名称 */
    factionLevelName?: string;
    /** 紫币 */
    purpleCoin?: number;
    /** 紫晶 */
    purpleSpar?: number;
    /** 状态 */
    status?: 0 | 1;
    /** 是否设置了密码 */
    hasPwd?: boolean;
  };
}
