// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 根据配置编码查询用户配置 POST /apis/clients/user_config/list */
export async function postUserConfigListApi(body: string[], options?: { [key: string]: any }) {
  return request<SectApi.ConfigVO[]>('/apis/clients/user_config/list', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据配置编码前缀查询用户配置 POST /apis/clients/user_config/list_prefix */
export async function postUserConfigListPrefixApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.postUserConfigListPrefixApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.ConfigVO[]>('/apis/clients/user_config/list_prefix', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 批量保存用户配置 POST /apis/clients/user_config/save_batch */
export async function postUserConfigSaveBatchApi(
  body: SectApi.UserConfig[],
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/clients/user_config/save_batch', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
