// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 用户等级详情 GET /apis/admin/userLevel/details */
export async function getUserLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getUserLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.UserLevelVO>('/apis/admin/userLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** /用户等级列表 GET /apis/admin/userLevel/list */
export async function getUserLevelListApi(options?: { [key: string]: any }) {
  return request<SectApi.UserLevelVO[]>('/apis/admin/userLevel/list', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 分页查询用户等级 POST /apis/admin/userLevel/page */
export async function postUserLevelPageApi(
  body: SectApi.UserLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageUserLevelVO>('/apis/admin/userLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除用户等级 DELETE /apis/admin/userLevel/remove */
export async function deleteUserLevelRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteUserLevelRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/userLevel/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存用户等级 POST /apis/admin/userLevel/save */
export async function postUserLevelSaveApi(
  body: SectApi.UserLevelSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/userLevel/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
